Invalid command IfVersion, perhaps misspelled or defined by a module not included in the server configuration

Invalid command ‘<IfVersion’, perhaps misspelled or defined by a module not included in the server configuration

You may receive the following error in your Apache error logs while install Magento 2:

/home/<user1>/public_html/.htaccess: Invalid command ‘<IfVersion’, perhaps misspelled or defined by a module not included in the server configuration

Magento 2 contains <IfVersion> tag in their default .htaccess file. If there is missing Apache module, you may receive 500 Internal server error while install Magento 2.

If you are receiving this error, please ensure that Apache mod_version is enabled on your server. If you have shared hosting server, you will have to contact your hosting provider to enable it. If you have full server access, you can enable based on your server’s configuration.

If you have cPanel control panel, you can use EasyApache 4 to enable mod_version in your Apache.

Leave a Reply

This site uses Akismet to reduce spam. Learn how your comment data is processed.

Scroll to top
%d bloggers like this: